Subject: Re: axfr-clarify breaking RFC 1034

From: Paul Vixie <[email-masked]>
Date: Fri, 21 Feb 2003 04:20:38 +0000

this is all just fantasy, and not about dns at all (yet).  the protocol
as specified has zone boundaries and the parent's zone bottom is 
unauthoritative glue.  any implementation which mixes data from the
child apex into the parent zone-bottom is incorrect.

this discussion is significantly off course.  let's talk about clarifying
axfr.

> X-Original-To: [email-masked]
> Subject: Re: axfr-clarify breaking RFC 1034
> From: Greg Hudson <[email-masked]>
> To: [email-masked]
> X-Mailer: Ximian Evolution 1.0.5 
> Date: 20 Feb 2003 21:36:31 -0500
> Sender: [email-masked]
> 
> On Wed, 2003-02-19 at 22:41, D. J. Bernstein wrote:
> > (To repeat the relevant definitions: A synchronized change happens at
> > the same time in all the parent servers and all the child servers. A
> > semi-synchronized change happens in the parent zone---specifically, the
> > parent serial is changed---after it happens in all the child servers.)
> 
> Does this mean there can't be unrelated changes in the parent zone while
> the child servers are still being updated?  (Or, more realistically,
> after the child servers have been updated but before the administrators
> of the parent zone have processed the change request for the glue
> records.)
> 
> 
> --
> to unsubscribe send a message to [email-masked] with
> the word 'unsubscribe' in a single line as the message text body.
> archive: <http://ops.ietf.org/lists/namedroppers/>

--
to unsubscribe send a message to [email-masked] with
the word 'unsubscribe' in a single line as the message text body.
archive: <http://ops.ietf.org/lists/namedroppers/>

---

From: Paul Vixie <[email-masked]>
Date: Fri, 21 Feb 2003 23:53:58 +0000

why would that matter?  the dns protocol does not have perfect 
synchronization.  microsoft goes out of band ("active directory")
to try to create the illusion of "multiple masters" which is their
marketing equivilent of perfect synchronization.  dbjdns appears
to go out of band ("rsync") for the same reason and with similar
results.

instead of talking about out of band methods used by implementations,
let's talk about the dns protocol (this being "namedroppers").  like
for example, let's clarify exactly what a zone is and how the dns
protocol goes about transfering it ("axfr").

re:

> From: [email-masked]
> Date: Fri, 21 Feb 2003 17:16:38 -0600
> To: Name Droppers <[email-masked]>
> On Fri, Feb 21, 2003 at 06:59:25PM -0000, D. J. Bernstein wrote:
> > All of Andrews's problems occur because he's updating
> > the parent serial number too early.
> > 
> 
> This is hard to watch: people cannot believe it is possible to have
> perfect synchronization, you keep asserting it is possible. I think if
> you tell tell them how djbdns does it, the pingpong will be over.
> Some might even install djbdns just to see for themselves.
> 
> Mate
> 
> 
> 
> --